Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.component
Enum ExternalComponentConfiguration.Permission

    java.lang.Object
      java.lang.Enum<ExternalComponentConfiguration.Permission>
          org.jivesoftware.openfire.component.ExternalComponentConfiguration.Permission

All Implemented Interfaces:
  Serializable, Comparable<ExternalComponentConfiguration.Permission>

Enclosing class:
  ExternalComponentConfiguration

    public static enum ExternalComponentConfiguration.Permission

extends Enum<ExternalComponentConfiguration.Permission>

Enum Constant Summary
`allowed` The XMPP entity is allowed to connect to the server.
`blocked` The XMPP entity is NOT allowed to connect to the server.

Method Summary
`static ExternalComponentConfiguration.Permission` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExternalComponentConfiguration.Permission[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### allowed

    public static final ExternalComponentConfiguration.Permission allowed

  The XMPP entity is allowed to connect to the server.

### blocked

    public static final ExternalComponentConfiguration.Permission blocked

  The XMPP entity is NOT allowed to connect to the server.

Method Detail

### values

    public static final ExternalComponentConfiguration.Permission[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ExternalComponentConfiguration.Permission c : ExternalComponentConfiguration.Permission.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ExternalComponentConfiguration.Permission valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.